const mongoose = require("mongoose");
const crypto = require("crypto");
const Schema = mongoose.Schema;

const userSchema = new Schema({
  firstName: {
    type: String,
    required: true,
  },
  lastName: {
    type: String,
    required: true,
  },
  email: {
    type: String,
    required: true,
  },
  password: {
    type: String,
  },
  googleId: {
    type: String,
  },
  student: {
    type: mongoose.Types.ObjectId,
    ref: "Student",
  },
  isAdmin: {
    type: Boolean,
  },
  email_otp: {
    type: String,
  },
  isVerified: {
    type: Boolean,
    default: false,
  },
  passwordResetToken: String,
  passwordResetExpires: Date,
  signUp_date: Date,
  lastLoginDate: {
    type: Date,
    default: Date.now,
  },
  //need to add isAdmin
});

module.exports = mongoose.model("User", userSchema);
