const express = require("express");
const couponController = require("../controllers/coupon");

const isAuth = require("../middleware/requirelogin");
const isAdmin = require("../middleware/isAdmin");

const router = express.Router();

router.post("/set-coupon", (req, res) => {
  const { percentage, coupon_code, remainingTimes } = req.body;
  if (!coupon_code || !percentage || !remainingTimes) {
    return res.status(422).json({ error: "Add all fields" });
  } else {
    const coupon = new Coupon({
      coupon_code,
      percentage,
      remainingTimes,
    });
    coupon.save().then((result) => {
      res.status(200).json({ message: "Coupon set Successfully" });
    });
  }
});
router.get("/getAllCoupons", couponController.getAllCoupons);

router.post("/addCoupon", isAuth, isAdmin, couponController.addCoupon);

router.post("/deleteCoupon", isAuth, isAdmin, couponController.deleteCoupon);

module.exports = router;
